/******************
    User custom CSS
    ---------------

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/

/*
.agrinet2 .question-container.input-error {
    box-shadow: none;
    border: 5px solid #913a38;
}
*/

body{
	padding-top: 0px !important;
}

.fruity .question-container.input-error {
    box-shadow: none;
}

.agrinet2 #main-col {
    margin: 0;
}

.agrinet2 .space-col {
    margin: 10px 0;
}

#agrinet2-navbar {
    padding: 10px 15px 20px 15px;
    margin: 0;
    box-shadow: none;
}

#agrinet2-navbar::after {
    height: 20px;
    border-bottom: 1px solid #ecf0f1;
    display: block;
    content: '';
}

#agrinet2-logo-wrapper {
    padding: 0;
}

#agrinet2-logo {
    display: block;
    height: 35px;
}

#agrinet2-header {
    padding: 0;
}

#agrinet2-survey-name {
    color: #a01338;
    font-size: 15px;
    padding: 0;
}

#agrinet2-progress-wrapper {
    padding: 0;
    margin: 10px 0 0 0;
	flex: auto !important;
}

#agrinet2-progress {
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, 0.1);
    background: #ecf0f1;
    margin: 0;
}

#agrinet2-progress-bar {
    background: #97112a;
    font-size: 10px;
    line-height: 19px;
}

.agrinet2 .text-info,
.agrinet2 .text-primary {
    color: #97112a;
}

.modal-backdrop {
    z-index: 2000;
}

.agrinet2-question-container.question-container {
    box-shadow: none;
    border: none;
}

.agrinet2-question-message {
    text-align: center;
    font-size: 15px;
}

.agrinet2-question-message.text-info {
    color: #008000;
}

.agrinet2 input + label::after,
.agrinet2 input + label::before,
.agrinet2 .answer-item {
    outline: none !important;
}

.agrinet2 .answer-item:hover .control-label {
    color: #97112a;
}t

.agrinet2 .answer-item:hover .control-label::before {
    border-color: #97112a;
}


.agrinet2 .checkbox-item input[type="checkbox"]:checked + label::after, 
.agrinet2 .checkbox-item input[type="radio"]:checked + label::after,
.agrinet2 .answer-item label::after {
    background: #97112a;
}

.btn.agrinet2-btn {
    padding: 0 31px;
    height: 31px;
    line-height: 31px;
    font-size: 12px;
    font-weight: bold;
    border: none !important;
    border-radius: 4px;
    outline: none;
}

.btn.agrinet2-btn:active {
    box-shadow: none;
}

.btn-default.agrinet2-btn {
    background: #fff !important;
    color: #97112a !important;
    border: 1px solid #97112a !important;
}

.btn-primary.agrinet2-btn {
    background: #97112a !important;
}

#agrinet2-welcome .number-of-questions,
#agrinet2-welcome .survey-description {
    font-size: 11px;
    color: #575757;
}

#agrinet2-welcome .survey-welcome {
    font-size: 16px;
    margin: 18px 0;
    line-height: 1.5;
}

.agrinet2-question-title-container {
    padding-top: 0;
}

.agrinet2-question-title-container .question-text {
    color: #a01338;
    font-size: 16px;
}

.agrinet2-question-title-container .fa-asterisk {
    color: #a01338;
    font-size: 8px;
    vertical-align: top;
}

.agrinet2-question-container:only-of-type {
    margin-bottom: 0;
}

.agrinet2 .answer-item textarea {
    resize: none;
}

.agrinet2 .answer-item select:focus,
.agrinet2 .answer-item input:focus,
.agrinet2 .answer-item textarea:focus,
.agrinet2 .other-text-item .form-control:focus {
    border-color: #a01338;
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.075), 0 0 8px rgba(160, 19, 56,0.6) !important;
}

.agrinet2 .array-multi-flexi-text .answer-item.text-item {
    padding: 8px;
}

.agrinet2 .completed-wrapper > div > p:first-child {
    font-weight: bold;
    color: #a01338;
}

.agrinet2 .question-item {
    padding-top: 0;
}

.agrinet2 .answer-item.text-item {
    padding: 0;
}

.agrinet2 .ls-even {
    background: #fef8f9;
}

.agrinet2 .table-col-hover col.hover,
.agrinet2 .table-hover > tbody > tr:hover > th, 
.agrinet2 .table-hover > tbody > tr:hover > td {
    background: #fbe5e9;
}

@media screen and (max-width: 767px) {
    #agrinet2-survey-name {
        margin: 5px 0 0 0;
    }
    
    .agrinet2 .other-text-item {
        margin-top: -15px;
    }
}

@media only screen and (max-width: 760px), (max-device-width: 1024px) and (min-device-width: 768px) {
    .agrinet2 table.ls-answers tr th {
        font-weight: bold;
        color: #a01338;
    }
    
    .agrinet2 table.ls-answers tr {
        border-color: #a01338;
    }
    
    .agrinet2 .table-bordered > tbody > tr > th {
        border: none;
    }
    
    .agrinet2 .table-bordered > tbody > tr > td {
        border: none;
        border-top: 1px solid #f9cad6;
    }
    
    .agrinet2 .answers-list.radio-list label {
        margin: 5px 0;
    }
    
    .agrinet2 .answers-list.radio-list label::before,
    .agrinet2 .answers-list.radio-list label::after {
        margin-top: 1px;
    }
    
    .agrinet2 .table-bordered {
        border: none;
    }
}

@media screen and (min-width: 768px) {
    #agrinet2-logo {
        height: 39px;   
    }
    
    #agrinet2-header {
        display: flex;
        align-items: center;
        min-height: 58px;
    }
    
    #agrinet2-progress-wrapper {
        margin: 0 0 0 15px;
    }
    
    #agrinet2-navbar::after {
        height: 8px;
    }
    
    #agrinet2-survey-name {
        font-size: 19px;
        margin: 0;
    }
    
    .btn.agrinet2-btn {
        font-size: 16px;
        padding: 0 35px;
        height: 35px;
        line-height: 35px;
    }
    
    #agrinet2-welcome .number-of-questions,
    #agrinet2-welcome .survey-description {
        font-size: 13px;
    }
    
    #agrinet2-welcome .survey-welcome {
        font-size: 18px;
        margin: 24px 0;
    }
    
    .agrinet2-question-title-container .question-text {
        font-size: 18px;
    }
    
    .agrinet2-question-title-container .fa-asterisk {
        font-size: 10px;
    }
}

#closeButton {
    position: fixed;
    display: block;
    top: 15px;
    right: 20px;
    width: 20px;
    height: 20px;
    z-index: 9999;
    cursor: pointer;
}

#closeButton:before {
    display: block;
    width: 20px;
    height: 5px;
    content: "";
    background: #000;
    transform: rotate(45deg);
    position: relative;
    top: 5px;
    z-index: 9999;
}

#closeButton:after {
    display: block;
    width: 20px;
    height: 5px;
    content: "";
    background: #000;
    transform: rotate(-45deg);
    position: relative;
    z-index: 9999;
}

#block_error {
    width: 100%;
    background: #fff;
    font-family: 'Noto Sans';
    text-align: center;
    border: 0;
}

#block_error h2 {
    color: #97112a !important;
    border: 0 !important;
}

#block_error p {
    font-family: 'Noto Sans';
    font-size: 1em;
}

#block_error div {
    padding: 3em;
    
}

#block_error .closeButton {
    display: inline-block;
    margin-top: 1em;
    padding: 0.5em 1em;
    background: #97112a;
    color: #fff;
    border-radius: 4px;
}

@media (max-width: 640px) {
    #block_error h2 {
        font-size: 1.7em;
    }

    .table-responsive {width:100%;}
    .table-responsive td {width:100%; display:block !important; clear:both; margin-bottom:2rem; font-size:3rem;}

}

/*.question-item {
    overflow: auto;
}*/

.numeric-item .control-label {
    margin-top: 6px;
}

.form-control.numeric {
    text-align: center;
}

.question-help-container img {max-width: 100%;}